﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using UnityEngine.UI;

public class HUD : MonoBehaviour {
	[SerializeField] Text playerInfoText;
	[SerializeField] Text inventoryText;
	[SerializeField] Text lastItemRemoved;

	public void OnPlayerInfoChanged(PlayerInfo info)
	{
		playerInfoText.text = string.Format("Name: {0}                          Health: {1}\n-----------------------------------------------------------------------------", info.playerName, info.health);
		DisplayInventory(info);
	}

	public void OnInventoryItemRemoved(InventoryItem item)
	{
		lastItemRemoved.text = string.Format("Last Item removed: {0}", item.name);
	}

	void DisplayInventory(PlayerInfo info)
	{
		inventoryText.text = "Inventory\n-------------------\nSlot#    Item Name     Item weight    Item Sell Price\n\n";
		int slotIndex = 0;
		foreach(var item in info.inventory)
		{
			inventoryText.text += string.Format("Slot: {0}   -  {1}    {2}   {3}\n", slotIndex++, item.name, item.weight, item.sellPrice);
		}
	}
}
